//precision mediump float;
//precision lowp int;
uniform mat4   u_mvpMatrix;
attribute vec4 a_vertex;
attribute vec2 a_texture;
attribute vec4 a_colour;
varying vec2   v_texture;
varying vec4	v_col;
void main()
	{
	v_texture = a_texture;
	gl_Position = u_mvpMatrix * a_vertex;
	v_col = vec4(a_colour.rgb * a_colour.a, a_colour.a);
	}